ReferenceAPIsOry Hydra APIoAuth2
Set OAuth2 Client Token Lifespans
Set lifespans of different token types issued for this OAuth 2.0 client. Does not modify other fields.
PUT /admin/clients/{id}/lifespans
Set lifespans of different token types issued for this OAuth 2.0 client. Does not modify other fields.
Operation ID: setOAuth2ClientLifespans Tag: oAuth2
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | OAuth 2.0 Client ID |
Request body
Content-Type: application/json
Type: object
Schema: oAuth2ClientTokenLifespans — see the Ory Hydra API schemas reference for the full type.
Responses
| Status | Description | Body |
|---|---|---|
| 200 | oAuth2Client | application/json — object |
| default | genericError | application/json — object |
Generated from scripts/gen/specs/hydra-api.json at build time.